ApplicationServiceImpl (gCube News Poster Widget 1.3.0-2.17.1 API)
Date: 2014-01-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.widgets.applicationnews.server
Class ApplicationServiceImpl

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
                  com.google.gwt.user.server.rpc.RemoteServiceServlet
                      org.gcube.portlets.widgets.applicationnews.server.ApplicationServiceImpl

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, ApplicationService

    public class ApplicationServiceImpl

extends com.google.gwt.user.server.rpc.RemoteServiceServlet
implements ApplicationService

The server side implementation of the RPC service.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`perThreadRequest, perThreadResponse`

Constructor Summary
`ApplicationServiceImpl()`

Method Summary
`org.gcube.portal.databook.shared.ApplicationProfile` | `getApplicationProfile(String portletClassName)`
`boolean` | `publishAppNews(String portletClassName, String textToShow, String uriGETparams, LinkPreview linkPreview)`

Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet
`checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationServiceImpl

    public ApplicationServiceImpl()

Method Detail

### publishAppNews

    public boolean publishAppNews(String portletClassName,
                                  String textToShow,
                                  String uriGETparams,
                                  LinkPreview linkPreview)

  Specified by:
    `publishAppNews` in interface `ApplicationService`
  Returns:

### getApplicationProfile

    public org.gcube.portal.databook.shared.ApplicationProfile getApplicationProfile(String portletClassName)

  Specified by:
    `getApplicationProfile` in interface `ApplicationService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.